Product backlogs API
Bu içerik henüz dilinizde mevcut değil.
- List product backlogs
- Get a single product backlog
- Create an product backlog
- Update an product backlog
- Fields
List product backlogs
Заголовок раздела «List product backlogs»List all product backlogs for an account:
GET /product_backlogsResponse
Заголовок раздела «Response»Status: 200 OK[ { "created_at": "2022-03-04T01:55:10-06:00", "disabled": false, "id": 6, "name": "My Backlog", "product_goal": "Provide best expense reporting experience for employees.", "product_owner": { "id": 6, "name": "Howard Tanner", "...": "..." }, "updated_at": "2022-03-04T01:55:10-06:00", "...": "..." }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of product backlogs.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/product_backlogs/disabled: List all disabled product backlogs/product_backlogs/enabled: List all enabled product backlogs
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of product backlogs:
id
sourceID
name
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
name
created_at
updated_at
disabled
Sorting
Заголовок раздела «Sorting»By default a collection of product backlogs is sorted
ascending
by
name
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
name
created_at
updated_at
Get a single product backlog
Заголовок раздела «Get a single product backlog»GET /product_backlogs/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "created_at": "2022-03-04T01:55:10-06:00", "disabled": false, "id": 6, "name": "My Backlog", "product_goal": "Provide best expense reporting experience for employees.", "product_owner": { "id": 6, "name": "Howard Tanner", "...": "..." }, "updated_at": "2022-03-04T01:55:10-06:00", "...": "..."}The response contains these fields .
Create an product backlog
Заголовок раздела «Create an product backlog»POST /product_backlogsWhen creating a new product backlog these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "name": "...", "...": "..."}The response contains all fields of the created product backlog and is similar to the response in Get a single product backlog .
Update an product backlog
Заголовок раздела «Update an product backlog»PATCH /product_backlogs/:idWhen updating an product backlog these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "name": "...", "...": "..."}The response contains all fields of the updated product backlog and is similar to the response in Get a single product backlog .
attachments
Readonly aggregated Attachments
created_at
Readonly datetime — The date and time at which the product backlog was created.
description
Optional text (max 64KB) — The Description field is used to enter a high-level description of the product backlog.
description_attachments
Writeonly attachments The attachments used in the Description field.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the product backlog may no longer be related to other records.
id
Readonly integer — The unique ID of the product backlog.
name
Required string (max 128) — The Name field is used to enter the name of the product backlog.
picture_uri
Optional string — The hyperlink to the image file for the product backlog.
product_owner
Optional reference to Person — The Product owner field is used to select the person responsible for maximizing the value of the work done based on this product backlog.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the product backlog. If the product backlog has no updates it contains the
created_at
value.